﻿Public Class View_Form
    Private _ds As DataSet
    Public Overloads Function ShowDialog(ByVal owner As Form,
                                         ByVal ds As DataSet) _
                                     As DialogResult
        _ds = ds
        Return MyBase.ShowDialog(owner)
    End Function

    Private Sub Me_Shown(ByVal sender As Object,
                         ByVal e As System.EventArgs) _
                     Handles Me.Shown
        Me.Cursor = Cursors.WaitCursor
        Try
            Me.View_ListBox.Items.Clear()
            For Each row As DataRow In _ds.Tables(0).Rows
                Dim StateValue As String = ""
                Select Case row.RowState
                    Case DataRowState.Added
                        StateValue = "Added"
                    Case DataRowState.Deleted
                        StateValue = "Deleted"
                    Case DataRowState.Detached
                        StateValue = "Detached"
                    Case DataRowState.Modified
                        StateValue = "Modified"
                    Case DataRowState.Unchanged
                        StateValue = "Unchanged"
                End Select
                Me.View_ListBox.Items.Add(StateValue)
            Next
        Catch ex As Exception
            MessageBox.Show(ex.Message, Me.Text)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub
End Class